The following spatial diagnostics are installed in the Athos FEL
## Photon screens 
**Purpose:** Alignment of FEL, monitoring of position and intensity, spatial profile measurement  
> ### Front end
>[SATFE10-PSCR066](Athos spatial diagnostics/SATFE10 PSCR066)  
>[SATFE10-PSCR070](Athos spatial diagnostics/SATFE10 PSCR070)

> ### Optics hutch common
>[SATOP11-PSCR074](Athos spatial diagnostics/SATOP11 PSCR074)  
>[SATOP11-PSCR086](Athos spatial diagnostics/SATOP11 PSCR086)  
>[SATOP11-PSCR090](Athos spatial diagnostics/SATOP11 PSCR090)  

> ### Optics hutch Maloja
>[SATOP21-PSCR140](Athos spatial diagnostics/SATOP21 PSCR140) (located in Diavolezza)  
>[SATOP21-PSCA149](Athos spatial diagnostics/SATOP21 PSCA149) (located in Diavolezza)

> ### Optics hutch Furka
>[SATOP31-PSCR095](Athos spatial diagnostics/SATOP31 PSCR095)  
>[SATOP31-PSCR136](Athos spatial diagnostics/SATOP31 PSCR136)  
>[SATOP31-PSCA158](Athos spatial diagnostics/SATOP31 PSCA158) (located in Diavolezza)

> ### Maloja hutch
>[SATOP21-PSCA162](Athos spatial diagnostics/SATOP21 PSCA162)

> ### Furka hutch
>[SATOP31-PSCA176](Athos spatial diagnostics/SATOP31 PSCA176)


## Spontaneous radiation detector  
**Purpose:** Imaging of spontaneous radiation, primarily for ID commissioning

> ### Front end
>[SATFE10-PSRD066](Athos spatial diagnostics/SATFE10 PSRD066)  

> ### Optics hutch - Furka
>[SAROP31-PSRD132](Athos spatial diagnostics/SAROP31 PSRD132)

> ### Furka hutch
>[SAROP31-PSRD175](Athos spatial diagnostics/SATOP31 PSRD175)

# Debug guide
```mermaid
%%{
  init: {
    'theme': 'base',
    'themeVariables': {
      'primaryColor': '#825AA6',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#825AA6',
      'lineColor': '#000',
      'secondaryColor': '#000',
      'tertiaryColor': '#fff'
    }
  }
}%%

flowchart TD
    C{Type of issue}
    C -->|Motion control| D[Scott Stubbs]
    C -->|Camera issue| E[Scott Stubbs]
    C -->|Data issue| F[Edwin Divall]
    D -->|Not available| G[Claude Pradervand]
    E -->|Not available| G[Claude Pradervand]
    F -->|Not available| G[Tine Celcer]
```